# Uses of Interface
java.awt.image.WritableRenderedImage

Packages that use WritableRenderedImage
Package
Description
java.awt.image
Provides classes for creating and modifying images.

## Uses of WritableRenderedImage in java.awt.image

Classes in java.awt.image that implement WritableRenderedImage
Modifier and Type
Class
Description
`class`
`BufferedImage`
The `BufferedImage` subclass describes an `Image` with an accessible buffer of image data.
Methods in java.awt.image with parameters of type WritableRenderedImage
Modifier and Type
Method
Description
`void`
TileObserver.`tileUpdate(WritableRenderedImage source, int tileX, int tileY, boolean willBeWritable)`
A tile is about to be updated (it is either about to be grabbed for writing, or it is being released from writing).